Package com.clickhouse.jdbc

## Interface ClickHousePreparedStatement

All Superinterfaces:
  `AutoCloseable`, `PreparedStatement`, `Statement`, `Wrapper`

All Known Implementing Classes:
  `InputBasedPreparedStatement`, `SqlBasedPreparedStatement`, `TableBasedPreparedStatement`

    public interface ClickHousePreparedStatement
    extends PreparedStatement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Default Methods
`default ResultSetMetaData` `getMetaData()`
`default void` `setAsciiStream​(int parameterIndex, InputStream x)`
`default void` `setAsciiStream​(int parameterIndex, InputStream x, int length)`
`default void` `setAsciiStream​(int parameterIndex, InputStream x, long length)`
`default void` `setBinaryStream​(int parameterIndex, InputStream x)`
`default void` `setBinaryStream​(int parameterIndex, InputStream x, int length)`
`default void` `setBinaryStream​(int parameterIndex, InputStream x, long length)`
`default void` `setBlob​(int parameterIndex, InputStream inputStream)`
`default void` `setBlob​(int parameterIndex, InputStream inputStream, long length)`
`default void` `setBlob​(int parameterIndex, Blob x)`
`default void` `setBoolean​(int parameterIndex, boolean x)`
`default void` `setCharacterStream​(int parameterIndex, Reader reader)`
`default void` `setCharacterStream​(int parameterIndex, Reader reader, int length)`
`default void` `setCharacterStream​(int parameterIndex, Reader reader, long length)`
`default void` `setClob​(int parameterIndex, Reader reader)`
`default void` `setClob​(int parameterIndex, Reader reader, long length)`
`default void` `setClob​(int parameterIndex, Clob x)`
`default void` `setDate​(int parameterIndex, Date x)`
`default void` `setNCharacterStream​(int parameterIndex, Reader value)`
`default void` `setNCharacterStream​(int parameterIndex, Reader value, long length)`
`default void` `setNClob​(int parameterIndex, Reader reader)`
`default void` `setNClob​(int parameterIndex, Reader reader, long length)`
`default void` `setNClob​(int parameterIndex, NClob value)`
`default void` `setNString​(int parameterIndex, String value)`
`default void` `setNull​(int parameterIndex, int sqlType)`
`default void` `setObject​(int parameterIndex, Object x, int targetSqlType)`
`default void` `setRef​(int parameterIndex, Ref x)`
`default void` `setRowId​(int parameterIndex, RowId x)`
`default void` `setSQLXML​(int parameterIndex, SQLXML xmlObject)`
`default void` `setTime​(int parameterIndex, Time x)`
`default void` `setTimestamp​(int parameterIndex, Timestamp x)`
`default void` `setUnicodeStream​(int parameterIndex, InputStream x, int length)`
`default void` `setURL​(int parameterIndex, URL x)`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getParameterMetaData, setArray, setBigDecimal, setByte, setBytes, setDate, setDouble, setFloat, setInt, setLong, setNull, setObject, setObject, setObject, setObject, setShort, setString, setTime, setTimestamp`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setNull

    default void setNull​(int parameterIndex,
                         int sqlType)
                  throws SQLException

Specified by:
  `setNull` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBoolean

    default void setBoolean​(int parameterIndex,
                            boolean x)
                     throws SQLException

Specified by:
  `setBoolean` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setDate

    default void setDate​(int parameterIndex,
                         Date x)
                  throws SQLException

Specified by:
  `setDate` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTime

    default void setTime​(int parameterIndex,
                         Time x)
                  throws SQLException

Specified by:
  `setTime` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setTimestamp

    default void setTimestamp​(int parameterIndex,
                              Timestamp x)
                       throws SQLException

Specified by:
  `setTimestamp` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    default void setAsciiStream​(int parameterIndex,
                                InputStream x,
                                int length)
                         throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setUnicodeStream

    default void setUnicodeStream​(int parameterIndex,
                                  InputStream x,
                                  int length)
                           throws SQLException

Specified by:
  `setUnicodeStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    default void setBinaryStream​(int parameterIndex,
                                 InputStream x,
                                 int length)
                          throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setObject

    default void setObject​(int parameterIndex,
                           Object x,
                           int targetSqlType)
                    throws SQLException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    default void setCharacterStream​(int parameterIndex,
                                    Reader reader,
                                    int length)
                             throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRef

    default void setRef​(int parameterIndex,
                        Ref x)
                 throws SQLException

Specified by:
  `setRef` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    default void setBlob​(int parameterIndex,
                         Blob x)
                  throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    default void setClob​(int parameterIndex,
                         Clob x)
                  throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### getMetaData

    default ResultSetMetaData getMetaData()
                                   throws SQLException

Specified by:
  `getMetaData` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setURL

    default void setURL​(int parameterIndex,
                        URL x)
                 throws SQLException

Specified by:
  `setURL` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setRowId

    default void setRowId​(int parameterIndex,
                          RowId x)
                   throws SQLException

Specified by:
  `setRowId` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNString

    default void setNString​(int parameterIndex,
                            String value)
                     throws SQLException

Specified by:
  `setNString` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    default void setNCharacterStream​(int parameterIndex,
                                     Reader value,
                                     long length)
                              throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    default void setNClob​(int parameterIndex,
                          NClob value)
                   throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    default void setClob​(int parameterIndex,
                         Reader reader,
                         long length)
                  throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    default void setBlob​(int parameterIndex,
                         InputStream inputStream,
                         long length)
                  throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    default void setNClob​(int parameterIndex,
                          Reader reader,
                          long length)
                   throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setSQLXML

    default void setSQLXML​(int parameterIndex,
                           SQLXML xmlObject)
                    throws SQLException

Specified by:
  `setSQLXML` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    default void setAsciiStream​(int parameterIndex,
                                InputStream x,
                                long length)
                         throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    default void setBinaryStream​(int parameterIndex,
                                 InputStream x,
                                 long length)
                          throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    default void setCharacterStream​(int parameterIndex,
                                    Reader reader,
                                    long length)
                             throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setAsciiStream

    default void setAsciiStream​(int parameterIndex,
                                InputStream x)
                         throws SQLException

Specified by:
  `setAsciiStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBinaryStream

    default void setBinaryStream​(int parameterIndex,
                                 InputStream x)
                          throws SQLException

Specified by:
  `setBinaryStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setCharacterStream

    default void setCharacterStream​(int parameterIndex,
                                    Reader reader)
                             throws SQLException

Specified by:
  `setCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNCharacterStream

    default void setNCharacterStream​(int parameterIndex,
                                     Reader value)
                              throws SQLException

Specified by:
  `setNCharacterStream` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setClob

    default void setClob​(int parameterIndex,
                         Reader reader)
                  throws SQLException

Specified by:
  `setClob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setBlob

    default void setBlob​(int parameterIndex,
                         InputStream inputStream)
                  throws SQLException

Specified by:
  `setBlob` in interface `PreparedStatement`
Throws:
  `SQLException`

#### setNClob

    default void setNClob​(int parameterIndex,
                          Reader reader)
                   throws SQLException

Specified by:
  `setNClob` in interface `PreparedStatement`
Throws:
  `SQLException`